.django_tests_migrate: &django-tests-migrate
  - python3 manage.py migrate

.django_tests_internal: &django-tests-internal
  - python3 manage.py test

.django_tests_db:
  stage: test
  image: python:3-alpine
  script:
    - pip3 install -r requirements.txt
    - mkdir db
    - *django-tests-migrate
    - *django-tests-internal
     
  tags:
    - docker
 
.django_tests_no_db:
  stage: test
  image: python:3-alpine
  script:
    - pip3 install -r requirements.txt
    - *django-tests-internal
     
  tags:
    - docker

